--- a/CMakeLists.txt	2014-05-04 21:27:59.000000000 -0400
+++ b/CMakeLists.txt	2014-05-04 21:47:31.460572470 -0400
@@ -38,7 +38,7 @@
 
 if(COMMAND cmake_policy AND POLICY CMP0015)
 	cmake_policy(SET CMP0015 NEW)
-endif(COMMAND cmake_policy)
+endif(COMMAND cmake_policy AND POLICY CMP0015)
 
 #-----------------
 # CPPFLAGS, CXXFLAGS and LDFLAGS from the environment
@@ -258,14 +258,14 @@
 	${CPACK_RESOURCE_FILE_LICENSE}
 	"${CMAKE_SOURCE_DIR}/Licenses_for_Third-Party_Components.txt"
 	"${CMAKE_SOURCE_DIR}/ANNOUNCEMENT"
-	DESTINATION "." OPTIONAL)
+	DESTINATION "${INSTALL_DOCS}" OPTIONAL)
 
 SET(COMMON_IGNORE_FILES "/CMakeFiles/" "/Testing/" "/.bzr/" "_CPack_Packages/"
     ".cmake$" "~" ".swp" ".log" ".gz" ".directory$" "CMakeCache.txt" "Makefile"
 	"install_manifest.txt")
 SET(PRJ_COMMON_IGNORE_FILES ${COMMON_IGNORE_FILES} "ANNOUNCEMENT_102_ALPHA" "ANNOUNCEMENT_103_ALPHA" "ANNOUNCEMENT_104_BETA" "ANNOUNCEMENT_105_GA" "ANNOUNCEMENT_110_GA" "ANNOUNCEMENT_111_GA" "ANNOUNCEMENT_DRAFT" )
 
-SET(CPACK_SOURCE_IGNORE_FILES ${PRJ_COMMON_IGNORE_FILES}  "./cppconn/config.h$" "./driver/nativeapi/binding_config.h$")
+SET(CPACK_SOURCE_IGNORE_FILES ${PRJ_COMMON_IGNORE_FILES}  "${CMAKE_CURRENT_SOURCE_DIR}/cppconn/config.h$" "${CMAKE_CURRENT_SOURCE_DIR}/driver/nativeapi/binding_config.h$")
 SET(CPACK_PACKAGE_IGNORE_FILES ${PRJ_COMMON_IGNORE_FILES} "something_there" )
 SET(CPACK_SOURCE_GENERATOR "TGZ")
 
@@ -292,10 +292,6 @@
 ADD_SUBDIRECTORY(cppconn)
 ADD_SUBDIRECTORY(driver)
 ADD_SUBDIRECTORY(examples)
-ADD_SUBDIRECTORY(test)
-ADD_SUBDIRECTORY(test/framework)
-ADD_SUBDIRECTORY(test/CJUnitTestsPort)
-ADD_SUBDIRECTORY(test/unit)
 
 IF(DEFINED CMAKE_SYSTEM_NAME AND ${CMAKE_SYSTEM_NAME} STREQUAL "SunOS")
 	# see also README
--- a/FindMySQL.cm	2014-05-04 22:20:50.000000000 -0400
+++ b/FindMySQL.cm	2014-05-04 22:21:40.325384447 -0400
@@ -58,7 +58,7 @@
 	EXECUTE_PROCESS(COMMAND ${MYSQL_CONFIG_EXECUTABLE} "--cflags"
 					OUTPUT_VARIABLE _mysql_config_output
 					)
-	STRING(REGEX MATCHALL "-m([^\r\n]+)" MYSQL_LINK_FLAGS "${_mysql_config_output}")
+	STRING(REGEX MATCHALL " -m([^\r\n]+)" MYSQL_LINK_FLAGS "${_mysql_config_output}")
 	STRING(REGEX REPLACE "[\r\n]$" "" MYSQL_CXXFLAGS "${_mysql_config_output}")
 #	ADD_DEFINITIONS("${MYSQL_CXXFLAGS}")
 ELSE (MYSQL_CONFIG_EXECUTABLE AND NOT WIN32)
diff -urN a/cppconn/CMakeLists.txt b/cppconn/CMakeLists.txt
--- a/cppconn/CMakeLists.txt	2011-07-30 13:15:44.000000000 +0200
+++ b/cppconn/CMakeLists.txt	2011-07-30 14:10:34.000000000 +0200
@@ -55,7 +55,7 @@
 
 SET(MYSQLCPPCONN_INSTALL_HEADERS
 		build_config.h
-		config.h
+		${CMAKE_CURRENT_BINARY_DIR}/config.h
 		connection.h
 		datatype.h
 		driver.h
diff -urN mysql-connector-c++-1.1.0.old/driver/CMakeLists.txt mysql-connector-c++-1.1.0/driver/CMakeLists.txt
--- a/driver/CMakeLists.txt	2011-07-30 13:15:44.000000000 +0200
+++ b/driver/CMakeLists.txt	2011-07-30 13:20:36.000000000 +0200
@@ -26,6 +26,9 @@
 
 INCLUDE_DIRECTORIES(${MYSQLCPPCONN_SOURCE_DIR})
 INCLUDE_DIRECTORIES(${MYSQLCPPCONN_SOURCE_DIR}/cppconn)
+INCLUDE_DIRECTORIES(${MYSQLCPPCONN_BINARY_DIR})
+INCLUDE_DIRECTORIES(${MYSQLCPPCONN_BINARY_DIR}/cppconn)
+INCLUDE_DIRECTORIES(${MYSQLCPPCONN_BINARY_DIR}/driver/nativeapi)
 INCLUDE_DIRECTORIES(${MYSQLCPPCONN_BOOST_INCLUDE_DIRS})
 MESSAGE(STATUS "BOOST_INCLUDE_DIRS=${MYSQLCPPCONN_BOOST_INCLUDE_DIRS}")
 
@@ -149,20 +152,22 @@
 		nativeapi/native_statement_wrapper.h
 		nativeapi/mysql_native_resultset_wrapper.h
 		nativeapi/native_resultset_wrapper.h
-		../cppconn/warning.h
-		../cppconn/statement.h
-		../cppconn/sqlstring.h
-		../cppconn/resultset_metadata.h
-		../cppconn/resultset.h
-		../cppconn/prepared_statement.h
-		../cppconn/parameter_metadata.h
-		../cppconn/metadata.h
-		../cppconn/exception.h
-		../cppconn/driver.h
-		../cppconn/datatype.h
-		../cppconn/connection.h
-		../cppconn/config.h
-		../cppconn/build_config.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/warning.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/statement.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/sqlstring.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/resultset_metadata.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/resultset.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/prepared_statement.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/parameter_metadata.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/metadata.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/exception.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/driver.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/datatype.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/connection.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/config.h
+		${CMAKE_CURRENT_BINARY_DIR}/cppconn/config.h
+		${CMAKE_CURRENT_SOURCE_DIR}/cppconn/build_config.h
+		${CMAKE_CURRENT_BINARY_DIR}/cppconn/build_config.h
 
 	)
 
@@ -271,8 +276,8 @@
 	)
 ELSE(WIN32)
 	INSTALL(TARGETS mysqlcppconn mysqlcppconn-static
-		LIBRARY DESTINATION lib
-		ARCHIVE DESTINATION lib
+		LIBRARY DESTINATION lib${LIB_SUFFIX}
+		ARCHIVE DESTINATION lib${LIB_SUFFIX}
 	)
 ENDIF(WIN32)
 
